// AUSWERT.H - Definitions for AUSWERT.C
// Written by Stefan Pfeiffer, DL1ELY, 940813
// Last Modification: 960225
// (C) 1994 by Stefan Pfeiffer, DL1ELY@DB0PKE

#ifndef AUSWERT_H


#define AUSWERT_H


#include "config.h"
#include "database.h"
#include "dvideo.h"
#include "structs.h"
#include "egavga.h"
#include "map.h"
#include "input.h"
#include "math.h"
#include "locator.h"
#include "stat.h"
#include "pcx.h"
#include "tools.h"
#include "wave.h"
#include "multibnd.h"
#include "dir.h"
#include "wildmat.h"
#include "statbase.h"
#include "qslprint.h"
#include "report.h"
#include "secmem.h"


#define PRGNAME "Auswertung/Evaluation"
#define VERSION "v1.50a"
#define DATE    "960413"
#define AUTHOR  "Stefan Pfeiffer, DL1ELY@DB0IZ"

#define EPSON            0
#define HP               1

#define FORMFEED         "\x0C"
#define EPS_DASHED_ZERO  "\x1B\x7E\x01"
#define EPS_NLQ_ON       "\x1B\x78\x31"
#define EPS_DRAFT_ON     "\x1B\x78\x30"
#define EPS_BIT8_ON      "\x1B\x23"

#define HP_NLQ_ON        "\x1B\x28\x73\x32\x51"
#define HP_DRAFT_ON      "\x1B\x28\x73\x31\x51"
#define HP_PORTRAIT      "\x1B\x26\x6C\x30\x4F"
#define HP_FONT          "\x1B\x28\x73%s\x54"
#define HP_MONOSPACED    "\x1B\x28\x73\x30\x50"



unsigned create_new_contest(pchar,pchar,pchar,pchar);
void out_of_mem(void);
void do_load_contest(void);
void do_gen_file(void);
void do_stat(void);
void print_header(FILE *,long,uchar);
void print_intro(FILE *,unsigned char);
void print_log(FILE *,unsigned char);
void do_logprint(void);
void do_stations(void);
void new_band(void);
void make_contest_file(void);
void disp_cnt_data(void);

extern int far EGAVGA_driver_far[];

#endif

